
Foreman - Bug #11707

Unmanaged host detail status table is broken

09/07/2015 05:59 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Reporting   

Target version: 1.10.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2681

  

Description

There no Provisioning status avaiable apparently from the data, but the table cell is still there and empty breaking the table into two.

Reproduce:

1. Unmanage a host

2. Visit detail page

This might have its own category "Status" or "Host status" perhaps.

Related issues:

Related to Foreman - Feature #10782: Add global status for hosts Closed 06/11/2015

Associated revisions

Revision 1f76a8ba - 09/07/2015 11:15 AM - Marek Hulán

Fixes #11707 - skip irrelevant states in host overview

History

#1 - 09/07/2015 06:01 AM - Lukas Zapletal

- Related to Feature #10782: Add global status for hosts added

#2 - 09/07/2015 06:10 AM - Dominic Cleal

- File Screenshot from 2015-09-07 11-08-00.png added

- translation missing: en.field_release set to 63

- Difficulty set to trivial

Easy to fix, the host_detailed_status_list helper is generating nil entries in the table for non-relevant host statuses, the return value just needs them

removed.

Screenshot is from the host#show page.

#3 - 09/07/2015 08:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2681 added

- Pull request deleted ()

#4 - 09/07/2015 12:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1f76a8ba84e55a473ff70b24fe915a802fc97fce.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1f76a8ba84e55a473ff70b24fe915a802fc97fce


Files

Screenshot from 2015-09-07 11-08-00.png 9.13 KB 09/07/2015 Dominic Cleal
